"""interface model

Revision ID: 9e01c09164b6
Revises: 
Create Date: 2023-07-14 16:33:52.090166

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9e01c09164b6'
down_revision = None
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('interfaces',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('connection', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(length=255), nullable=False),
    sa.Column('description', sa.String(length=255), nullable=True),
    sa.Column('config', sa.JSON(), nullable=True),
    sa.Column('type', sa.String(length=50), nullable=True),
    sa.Column('infra_type', sa.String(length=50), nullable=True),
    sa.Column('port_channel_id', sa.Integer(), nullable=True),
    sa.Column('max_frame_size', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('interfaces')
    # ### end Alembic commands ###
